Package ru.bitel.common.inet

# Class IpAddressRangeSetEntry<R>

java.lang.Object
ru.bitel.common.util.SegmentedRangeSet<IpAddress,byte[],R>
ru.bitel.common.inet.IpAddressRangeSetEntry<R>

public class IpAddressRangeSetEntry<R> extends ru.bitel.common.util.SegmentedRangeSet<IpAddress,byte[],R>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `IpAddressRangeSetEntry.IpAddressSegmenter<R>`

  ## Nested classes/interfaces inherited from class ru.bitel.common.util.SegmentedRangeSet

  `ru.bitel.common.util.SegmentedRangeSet.Segmenter<K extends Object,R extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final Comparator<byte[]>`
  `COMPARATOR`
  `protected final IpAddressRangeSetEntry.IpAddressSegmenter<R>`
  `segmenter`

  ### Fields inherited from class ru.bitel.common.util.SegmentedRangeSet

  `clazz, comparator, notSegmented, ranger, rangerClass, segments`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpAddressRangeSetEntry(Class<R> clazz, ru.bitel.common.util.Ranger<R,byte[]> ranger, boolean bites, int maskLength)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAll(IpAddress key, Set<R> set)`
  `R`
  `get(IpAddress segment, byte[] key)`
  `R`
  `get(IpAddress segmentKey, byte[] key, ru.bitel.common.util.Matcher<R> matcher)`
  `ru.bitel.common.util.RangeSet2<R,byte[]>`
  `notSegmented()`
  `void`
  `removeAll(IpAddress key, Set<R> set)`
  `ru.bitel.common.util.RangeSet2<R,byte[]>`
  `segment(IpAddress segmentKey)`

  ### Methods inherited from class ru.bitel.common.util.SegmentedRangeSet

  `add, addAll, listContains, remove, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMPARATOR

    protected static final Comparator<byte[]> COMPARATOR

  - ### segmenter

    protected final IpAddressRangeSetEntry.IpAddressSegmenter<R> segmenter

- ## Constructor Details

  - ### IpAddressRangeSetEntry

    public IpAddressRangeSetEntry(Class<R> clazz, ru.bitel.common.util.Ranger<R,byte[]> ranger, boolean bites, int maskLength)

- ## Method Details

  - ### get

    public R get(IpAddress segment, byte[] key)
    Overrides:
      `get` in class `ru.bitel.common.util.SegmentedRangeSet<IpAddress,byte[],R>`

  - ### get

    public R get(IpAddress segmentKey, byte[] key, ru.bitel.common.util.Matcher<R> matcher)
    Overrides:
      `get` in class `ru.bitel.common.util.SegmentedRangeSet<IpAddress,byte[],R>`

  - ### segment

    public ru.bitel.common.util.RangeSet2<R,byte[]> segment(IpAddress segmentKey)

  - ### notSegmented

    public ru.bitel.common.util.RangeSet2<R,byte[]> notSegmented()

  - ### addAll

    public void addAll(IpAddress key, Set<R> set)

  - ### removeAll

    public void removeAll(IpAddress key, Set<R> set)